Home page logo
/

bugtraq logo Bugtraq mailing list archives

Multiple Vulnerabilities in Campaign Enterprise <= 11.0.538
From: Ken <catatonicprime () gmail com>
Date: Thu, 18 Oct 2012 11:21:47 -0700

Overview
===============
Campaign Enterprise 11, by ArialSoftware (www.arialsoftware.com), "is
a mass email system you install on your own computer or server,  is
accessible using a web browser inside and/or outside your network, is
only a one-time cost, and has the best US-based tech support
available."

Multiple vulnerabilities were discovered in the "standard" software
package (other's were not assessed) <= v11.0.538.

Analysis
===============
For more information on the analysis and how the vulnerabilities were
discovered, I've setup a blog post covering the subject in greater
detail:
http://sadgeeksinsnow.blogspot.com/2012/10/my-first-experiences-bug-hunting-part-2.html

Timeline
===============

06/29/2011 - Discovered multiple bugs in an product vendor's application
06/29/2012 - Disclosure of details to product vendor & CVE assignment
10/08/2012 - Product vendor released patch for all all CVEs (v11.0.551)
10/18/2012 - Public disclosure to Bugtraq

CVE(s)
===============

CVE-2012-3820: Multiple SQL Injection: activate.asp – SerialNumber
field, User-Edit.asp – UID field

CVE-2012-3821: Unauthorized access to the activate.asp page, allows
modification of stored database field SerialNumber without
authentication or authorization.

CVE-2012-3822: Unauthorized access to the User-Edit.asp page, allows
attacker to enumerate users and their credentials by supplying their
UID in the querystring.

CVE-2012-3823: The product has stores passwords in clear text and
these may be retrieved  using the User-Edit.asp page.

CVE-2012-3824: Multiple pages accessible without authentication or
authorization which may lead to the unintended disclosure of
information or functionality but was not assessed. Register.asp,
Group-Edit.asp, Subscriber-Edit.asp, SMTP-Edit.asp, Email-Edit.asp,
Admin-GlobalConfig.asp, Admin-Users.asp, Campaign-Datasource.asp

Remediation
===============

Update to the current version of Campaign Enterprise 11, v11.0.551.


  By Date           By Thread  

Current thread:
  • Multiple Vulnerabilities in Campaign Enterprise <= 11.0.538 Ken (Oct 18)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]